diff --git a/drupal7/sites/all/modules/date/date_views/includes/date_views_argument_handler_simple.inc b/drupal7/sites/all/modules/date/date_views/includes/date_views_argument_handler_simple.inc
index 2839b959..0de4454c 100644
--- a/drupal7/sites/all/modules/date/date_views/includes/date_views_argument_handler_simple.inc
+++ b/drupal7/sites/all/modules/date/date_views/includes/date_views_argument_handler_simple.inc
@@ -1,19 +1,17 @@
 <?php
+
 /**
  * @file
  * Date API views argument handler.
  */
 
 /**
- * Date API argument handler.
+ * Date API views argument handler.
  */
-// @codingStandardsIgnoreStart
 class date_views_argument_handler_simple extends views_handler_argument_date {
 
   /**
-   * Get granularity.
-   *
-   * Use it to create the formula and a format for the results.
+   * {@inheritdoc}
    */
   function init(&$view, &$options) {
     parent::init($view, $options);
@@ -31,20 +29,19 @@ class date_views_argument_handler_simple extends views_handler_argument_date {
       $this->date_handler->local_timezone = date_get_timezone($field['settings']['tz_handling']);
     }
     $this->date_handler->granularity = $this->options['granularity'];
-    // This value needs to be initialized so
-    // it exists even if the query doesn't run.
+    // This value needs to be initialized so it exists even if the query
+    // doesn't run.
     $this->date_handler->placeholders = array();
 
     $this->format = $this->date_handler->views_formats($this->date_handler->granularity, 'display');
     $this->sql_format = $this->date_handler->views_formats($this->date_handler->granularity, 'sql');
-    // $this->arg_format is the format the parent date
-    // handler will use to create a default argument.
+    // $this->arg_format is the format the parent date handler will use to
+    // create a default argument.
     $this->arg_format = $this->format();
 
-    // Identify the base table for this field.
-    // It will be used to call for the right query field options.
+    // Identify the base table for this field. It will be used to call for the
+    // right query field options.
     $this->base_table = $this->table;
-
   }
 
   /**
@@ -60,9 +57,7 @@ class date_views_argument_handler_simple extends views_handler_argument_date {
   }
 
   /**
-   * Set the empty argument value to the current date.
-   *
-   * Formatted appropriately for this argument.
+   * {@inheritdoc}
    */
   function get_default_argument($raw = FALSE) {
     $is_default = FALSE;
@@ -87,9 +82,10 @@ class date_views_argument_handler_simple extends views_handler_argument_date {
   }
 
   /**
-   * Default value for the date_fields option.
+   * {@inheritdoc}
    */
   function option_definition() {
+    // Default value for the date_fields option.
     $options = parent::option_definition();
     $options['year_range'] = array('default' => '-3:+3');
     $options['granularity'] = array('default' => 'month');
@@ -103,7 +99,7 @@ class date_views_argument_handler_simple extends views_handler_argument_date {
   }
 
   /**
-   * Add a form element to select date_fields for this argument.
+   * {@inheritdoc}
    */
   function options_form(&$form, &$form_state) {
     parent::options_form($form, $form_state);
@@ -149,6 +145,7 @@ class date_views_argument_handler_simple extends views_handler_argument_date {
 
     // Get default granularity options
     $options = $this->date_handler->date_parts();
+
     // Add the 'week' option.
     $options += array(
       'week' => t('Week', array(), array(
@@ -214,7 +211,7 @@ class date_views_argument_handler_simple extends views_handler_argument_date {
   }
 
   /**
-   * Provide a link to the next level of the view from the summary.
+   * {@inheritdoc}
    */
   function summary_name($data) {
     $value = $data->{$this->name_alias};
@@ -230,7 +227,7 @@ class date_views_argument_handler_simple extends views_handler_argument_date {
   }
 
   /**
-   * Provide a title for the view based on the argument value.
+   * {@inheritdoc}
    */
   function title() {
     $format = !empty($this->options['title_format_custom']) && !empty($this->options['title_format_custom']) ? $this->options['title_format_custom'] : $this->date_handler->views_formats($this->options['granularity'], 'display');
@@ -239,13 +236,7 @@ class date_views_argument_handler_simple extends views_handler_argument_date {
   }
 
   /**
-   * Provide the argument to use to link from the summary to the next level.
-   *
-   * This will be called once per row of a summary, and used as part of
-   * $view->get_url().
-   *
-   * @param object $data
-   *   The query results for the row.
+   * {@inheritdoc}
    */
   function summary_argument($data) {
     $format = $this->date_handler->views_formats($this->options['granularity'], 'sql');
@@ -258,24 +249,25 @@ class date_views_argument_handler_simple extends views_handler_argument_date {
   }
 
   /**
-   * Inject a test for valid date range before the summary query.
+   * {@inheritdoc}
    */
   function summary_query() {
-
-    // @TODO The summary values are computed by the database.
-    // Unless the database has built-in timezone handling it will use
-    // a fixed offset, which will not be right for all dates.
-    // The only way I can see to make this work right is to store the offset
-    // for each date in the database so it can be added to the base
-    // date value before the database formats the result. Because this is a huge
-    // architectural change, it won't go in until we start a new branch.
+    // Inject a test for valid date range before the summary query.
+    // @todo The summary values are computed by the database. Unless the
+    // database has built-in timezone handling it will use a fixed offset,
+    // which will not be right for all dates. The only way I can see to make
+    // this work right is to store the offset for each date in the database so
+    // it can be added to the base date value before the database formats the
+    // result. Because this is a huge architectural change, it won't go in
+    // until we start a new branch.
     $this->formula = $this->date_handler->sql_format($this->sql_format, $this->date_handler->sql_field("***table***.$this->real_field"));
     $this->ensure_my_table();
+
     // Now that our table is secure, get our formula.
     $formula = $this->get_formula();
 
-    // Add the field, give it an alias that does NOT match the actual
-    // field name or grouping won't work right.
+    // Add the field, give it an alias that does NOT match the actual field
+    // name or grouping won't work right.
     $this->base_alias = $this->name_alias = $this->query->add_field(NULL, $formula, $this->field . '_summary');
     $this->query->set_count_field(NULL, $formula, $this->field);
 
@@ -283,22 +275,20 @@ class date_views_argument_handler_simple extends views_handler_argument_date {
   }
 
   /**
-   * Inject a test for valid date range before the regular query.
-   *
-   * Override the parent query to be able to control the $group.
+   * {@inheritdoc}
    */
   function query($group_by = FALSE) {
-
-    // @TODO Not doing anything with $group_by yet,
-    // need to figure out what has to be done.
-
+    // Inject a test for valid date range before the regular query. Override
+    // the parent query to be able to control the $group.
+    // @todo Not doing anything with $group_by yet, need to figure out what has
+    // to be done.
     if ($this->date_forbid()) {
       return;
     }
 
-    // See if we need to reset granularity based on an argument value.
-    // Make sure we don't try to reset to some bogus value if someone has
-    // typed in an unexpected argument.
+    // See if we need to reset granularity based on an argument value. Make
+    // sure we don't try to reset to some bogus value if someone has typed in
+    // an unexpected argument.
     if ($this->options['granularity_reset'] && $granularity = $this->date_handler->arg_granularity($this->argument)) {
       $this->date_handler->granularity = $granularity;
       $this->format = $this->date_handler->views_formats($this->date_handler->granularity, 'display');
@@ -308,8 +298,8 @@ class date_views_argument_handler_simple extends views_handler_argument_date {
     $this->ensure_my_table();
     $group = !empty($this->options['date_group']) ? $this->options['date_group'] : 0;
 
-    // If requested, add the delta field to the view so
-    // we can later find the value that matched our query.
+    // If requested, add the delta field to the view so we can later find the
+    // value that matched our query.
     if (!empty($this->options['add_delta']) && (substr($this->real_field, -6) == '_value' || substr($this->real_field, -7) == '_value2')) {
       $this->query->add_field($this->table_alias, 'delta');
       $real_field_name = str_replace(array('_value', '_value2'), '', $this->real_field);
@@ -324,10 +314,9 @@ class date_views_argument_handler_simple extends views_handler_argument_date {
     $view_max_placeholder = $this->placeholder();
     $this->date_handler->placeholders = array($view_min_placeholder => $view_min, $view_max_placeholder => $view_max);
 
-    // Are we comparing this field only or the Start/End date range
-    // to the view criteria?
+    // Are we comparing this field only or the Start/End date range to the view
+    // criteria?
     if (!empty($this->options['use_fromto'])) {
-
       // The simple case, match the field to the view range.
       $field = $this->date_handler->sql_field($this->table_alias . '.' . $this->real_field, NULL, $this->min_date);
       $field = $this->date_handler->sql_format($format, $field);
@@ -335,15 +324,12 @@ class date_views_argument_handler_simple extends views_handler_argument_date {
 
     }
     else {
-
-      // Look for the intersection of the range
-      // of the date field with the range of the view.
-      // Get the Start/End values for this field.
-      // Retrieve using the original table name.
-      // Swap the current table name (adjusted for relationships)
-      // into the query.
-      // @TODO We may be able to use Views substitutions here,
-      // investigate that later.
+      // Look for the intersection of the range of the date field with the
+      // range of the view. Get the Start/End values for this field. Retrieve
+      // using the original table name. Swap the current table name (adjusted
+      // for relationships) into the query.
+      // @todo We may be able to use Views substitutions here, investigate that
+      // later.
       $fields = date_views_fields($this->base_table);
       $fields = $fields['name'];
       $fromto = $fields[$this->original_table . '.' . $this->real_field]['fromto'];
@@ -361,8 +347,8 @@ class date_views_argument_handler_simple extends views_handler_argument_date {
   /**
    * Add a callback.
    *
-   * To determine if we have moved outside
-   * the valid date range for this argument.
+   * To determine if we have moved outside the valid date range for this
+   * argument.
    */
   function date_forbid() {
     if (empty($this->argument)) {
@@ -384,4 +370,3 @@ class date_views_argument_handler_simple extends views_handler_argument_date {
   }
 
 }
-// @codingStandardsIgnoreEnd
diff --git a/drupal7/sites/all/modules/date/date_views/includes/date_views_fields.inc b/drupal7/sites/all/modules/date/date_views/includes/date_views_fields.inc
index d497ef60..b8aad154 100644
--- a/drupal7/sites/all/modules/date/date_views/includes/date_views_fields.inc
+++ b/drupal7/sites/all/modules/date/date_views/includes/date_views_fields.inc
@@ -1,4 +1,5 @@
 <?php
+
 /**
  * @file
  * Helper for identifying Date API fields for views.
@@ -9,10 +10,10 @@
  *
  * @return array
  *   An array with fieldname, type, and table.
+ *
  * @see date_views_date_views_fields()
  */
 function _date_views_fields($base = 'node') {
-
   // Make sure $base is never empty.
   if (empty($base)) {
     $base = 'node';
@@ -83,14 +84,14 @@ function _date_views_fields($base = 'node') {
 
         default:
           // If this is not a date field, nothing more to do.
-          continue;
+          continue 2;
       }
 
       $revision = in_array($base, array('node_revision')) ? FIELD_LOAD_REVISION : FIELD_LOAD_CURRENT;
       $db_info = date_api_database_info($field, $revision);
       $name = $table_name . "." . $field_name;
       $grans = array('year', 'month', 'day', 'hour', 'minute', 'second');
-      $granularity = !empty($field['granularity']) ? $field['granularity'] : $grans;
+      $granularity = !empty($field['settings']['granularity']) ? $field['settings']['granularity'] : $grans;
 
       $fromto = array(
         $table_name . '.' . $db_info['columns'][$table_name]['value'],
@@ -104,7 +105,7 @@ function _date_views_fields($base = 'node') {
           $offset_field = $table_name . '.' . $db_info['columns'][$table_name]['offset'];
         }
         $related_fields = array(
-          $table_name . '.' . $db_info['columns'][$table_name]['value']
+          $table_name . '.' . $db_info['columns'][$table_name]['value'],
         );
         if (isset($db_info['columns'][$table_name]['value2'])) {
           $related_fields = array_merge($related_fields, array($table_name . '.' . $db_info['columns'][$table_name]['value2']));
diff --git a/drupal7/sites/all/modules/date/date_views/includes/date_views_filter_handler.inc b/drupal7/sites/all/modules/date/date_views/includes/date_views_filter_handler.inc
index ae6944ee..5ed0847b 100644
--- a/drupal7/sites/all/modules/date/date_views/includes/date_views_filter_handler.inc
+++ b/drupal7/sites/all/modules/date/date_views/includes/date_views_filter_handler.inc
@@ -1,14 +1,22 @@
 <?php
+
 /**
  * @file
  * A flexible, configurable date filter.
- * This filter combines multiple date filters into a single filter
- * where all fields are controlled by the same date and can be combined
- * with either AND or OR.
  */
 
-// @codingStandardsIgnoreStart
+/**
+ * A flexible, configurable date filter.
+ *
+ * This filter combines multiple date filters into a single filter where all
+ * fields are controlled by the same date and can be combined with either AND or
+ * OR.
+ */
 class date_views_filter_handler extends date_views_filter_handler_simple {
+
+  /**
+   * {@inheritdoc}
+   */
   function init(&$view, &$options) {
     parent::init($view, $options);
 
@@ -21,7 +29,9 @@ class date_views_filter_handler extends date_views_filter_handler_simple {
     $this->view->date_info->date_fields = array_merge($this->view->date_info->date_fields, $this->options['date_fields']);
   }
 
-  // Set default values for the date filter.
+  /**
+   * {@inheritdoc}
+   */
   function option_definition() {
     $options = parent::option_definition();
     $options['date_fields'] = array('default' => array());
@@ -30,18 +40,30 @@ class date_views_filter_handler extends date_views_filter_handler_simple {
     return $options;
   }
 
+  /**
+   * @todo
+   */
   function op_between($field) {
     $this->date_combine_conditions('op_between');
   }
 
+  /**
+   * @todo
+   */
   function op_simple($field) {
     $this->date_combine_conditions('op_simple');
   }
 
+  /**
+   * @todo
+   */
   function op_contains($field) {
     $this->date_combine_conditions('op_contains');
   }
 
+  /**
+   * @todo
+   */
   function op_empty($field) {
     $this->get_query_fields();
     if (empty($this->query_fields)) {
@@ -83,6 +105,7 @@ class date_views_filter_handler extends date_views_filter_handler_simple {
 
     // Create a custom filter group for the conditions.
     $this->query->set_where_group($this->options['date_method'], $this->options['date_group']);
+
     // Add each condition to the custom filter group.
     foreach ((array) $this->query_fields as $query_field) {
       $field = $query_field['field'];
@@ -120,6 +143,9 @@ class date_views_filter_handler extends date_views_filter_handler_simple {
     $this->query->add_where_expression($this->options['group'], $conditions, $placeholders);
   }
 
+  /**
+   * {@inheritdoc}
+   */
   function extra_options_form(&$form, &$form_state) {
     parent::extra_options_form($form, $form_state);
 
@@ -147,6 +173,9 @@ class date_views_filter_handler extends date_views_filter_handler_simple {
       );
   }
 
+  /**
+   * {@inheritdoc}
+   */
   function extra_options_validate($form, &$form_state) {
     $check_fields = array_filter($form_state['values']['options']['date_fields']);
     if (empty($check_fields)) {
@@ -154,12 +183,16 @@ class date_views_filter_handler extends date_views_filter_handler_simple {
     }
   }
 
+  /**
+   * {@inheritdoc}
+   */
   function extra_options_submit($form, &$form_state) {
     $form_state['values']['options']['date_fields'] = array_filter($form_state['values']['options']['date_fields']);
   }
 
-  // Update the summary values to provide
-  // meaningful information for each option.
+  /**
+   * {@inheritdoc}
+   */
   function admin_summary() {
     if (empty($this->options['date_fields'])) {
       return t('Missing date fields!');
@@ -195,6 +228,9 @@ class date_views_filter_handler extends date_views_filter_handler_simple {
     return $output;
   }
 
+  /**
+   * @todo
+   */
   function get_query_fields() {
     $fields = date_views_fields($this->base_table);
     $fields = $fields['name'];
@@ -209,5 +245,5 @@ class date_views_filter_handler extends date_views_filter_handler_simple {
       }
     }
   }
+
 }
-// @codingStandardsIgnoreEnd
